Subject: bug#65302: closed (Re: [bug#65302] [PATCH] gnu: profanity: Update to 0.14.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 29 Aug 2023 13:06:02 +0000

Your bug report

#65302: [PATCH] gnu: profanity: Update to 0.14.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65302: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65302
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#65302] [PATCH] gnu: profanity: Update to 0.14.0.
From: Christopher Baines <[email-masked]>
To: Jack Hill <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 29 Aug 2023 14:04:02 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Jack Hill <[email-masked]> writes:

> * gnu/packagex/messaging.scm (profanity): Update to 0.14.0.
> ---
>
> guix lint says that profanity might be vulnerable to CVE-2022-40769, but that's for a different profanity.
> I'm not sure quite the best way to solve that as I don't know if profanity has a preferred cpe-name.
>
>  gnu/packages/messaging.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)

This looks good to me, I've pushed it to master as
456790c29953d15f164e0f55dc8f566b40952530.

Subject: [PATCH] gnu: profanity: Update to 0.14.0.
From: Jack Hill <[email-masked]>
To: [email-masked]
Date: Tue, 15 Aug 2023 00:16:00 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packagex/messaging.scm (profanity): Update to 0.14.0.
---

guix lint says that profanity might be vulnerable to CVE-2022-40769, but that's for a different profanity.
I'm not sure quite the best way to solve that as I don't know if profanity has a preferred cpe-name.

 gnu/packages/messaging.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
index f47e1ac0f3..5fccbc8d07 100644
--- a/gnu/packages/messaging.scm
+++ b/gnu/packages/messaging.scm
@@ -2129,7 +2129,7 @@ (define-public libstrophe
 (define-public profanity
   (package
     (name "profanity")
-    (version "0.13.0")
+    (version "0.14.0")
     (source
      (origin
        (method url-fetch)
@@ -2138,7 +2138,7 @@ (define-public profanity
                        version ".tar.gz"))
        (sha256
         (base32
-         "14n45zwc6fxjargqhwqan8fyb7x0ql0hmw56rbjkjfkhpba2qmks"))))
+         "0zygsxxwdxmpppr7vyzi2r7d854yjl6918w0lrs7k41iib9zy8zx"))))
     (build-system glib-or-gtk-build-system)
     (arguments
      `(#:configure-flags

base-commit: 82407391f74dc491662736f03ef031d31ca3913c
-- 
2.41.0